Post
/api/resource-manager/resource-types/{resourceTypeId}/rotation-templates
Create a new rotation template with basic details (name, description)
Security
HTTP
Type bearer
Path parameters
resourceTypeId
stringRequired
ID of the resource type
Body parameters
Basic rotation template information (name and description)
object
rotationTemplateName
string
Name of the rotation template (required, must be unique for the resource type)
Max length256
rotationTemplateDesc
string
Description of the rotation template
Max length1048
Responses
201
Rotation template created successfully
object
templateId
string
ID of the rotation template
templateName
string
Name of the rotation template
description
string
Description of the rotation template
createdOn
string
Creation timestamp
createdBy
string
Name of user who created the template
400
Bad Request
404
Resource type not found